Bug 632027 - RFE: Add an output option to publican for manpage output
RFE: Add an output option to publican for manpage output
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-08 19:02 EDT by Deon Ballard
Modified: 2010-11-23 23:18 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:43:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2010-09-08 19:02:29 EDT
It would be wonderful if publican could output manpages in nroff format. I'm using Docbook XML for some manpages I'm writing, but I have to use a different tool to get the man page output.
Comment 1 Jeff Fearn 2010-09-24 01:36:06 EDT
I've added basic support for this in trunk, build 2.1-0.%{dist}.t79, but we will need to do some testing on a book containing refentry's.
Comment 2 Jeff Fearn 2010-10-03 22:38:42 EDT
This is in place, but it will no doubt require tweaking once the standard for creating man pages is specified. For tracking it's easier if we close this bug with 2.2 and open new bugs for the changes required as the come to light.
Comment 3 Fedora Update System 2010-10-06 01:49:24 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 4 Fedora Update System 2010-10-06 01:50:39 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 5 Fedora Update System 2010-10-06 01:50:42 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 6 Fedora Update System 2010-10-08 16:40:48 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.